Quassel IRC - Bug #691

"Unread messages per buffer” requester misses messages
05/11/2009 10:05 AM - Sputnick

Status: Resolved Start date: 05/11/2009
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.41 0S: Any

Description

If using this backlog requester, it can happen that there are messages missing right after the "red line". | suspect this happens if the
message limit is exceeded. In this case, only $limit messages are fetched (that is to be expected and ok), but in addition, also older
(read) messages are fetched. This leads to a gap that is easily missed (only if you happen to check the timestamps, you'll notice that
you missed messages).

So if the limit is exceeded, we shouldn't fetch read messages, such that the user notices that he hasn't reached the red line yet.

Associated revisions

Revision 6411b0f9a71708b58c8d5ba00bf59d1062267470 - 06/28/2009 05:11 PM - Marcus Eggenberger

Fixes #691 - missing messages when using unread message requester

Revision 6411b0f9 - 06/28/2009 05:11 PM - Marcus Eggenberger

Fixes #691 - missing messages when using unread message requester

History

#1 - 06/28/2009 05:47 PM - EgS
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 6411b0f9a71708b58c8d5ba00bf59d1062267470.
